org.apache.ivy.osgi.repo

## Class ArtifactReportManifestIterable

- java.lang.Object
- - org.apache.ivy.osgi.repo.ArtifactReportManifestIterable

All Implemented Interfaces:
  java.lang.Iterable<ManifestAndLocation>

    public class ArtifactReportManifestIterable
    extends java.lang.Object
    implements java.lang.Iterable<ManifestAndLocation>

### Constructor Summary

Constructors
Constructor and Description
`ArtifactReportManifestIterable(java.util.List<ArtifactDownloadReport> reports, java.util.List<java.lang.String> sourceTypes)`

### Method Summary

Methods
`java.util.Iterator<ManifestAndLocation>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArtifactReportManifestIterable

    public ArtifactReportManifestIterable(java.util.List<ArtifactDownloadReport> reports,
                                  java.util.List<java.lang.String> sourceTypes)

### Method Detail

#### iterator

    public java.util.Iterator<ManifestAndLocation> iterator()

Specified by:
  `iterator` in interface `java.lang.Iterable<ManifestAndLocation>`